Skip to content

Search apps

POST
/inventory/apps
curl --request POST \
--url https://ads.wortise.com/api/public/v1/inventory/apps \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "category": [ "example" ], "code": [ "example" ], "coppa": true, "id": [ "example" ], "maxMaxInstalls": 1, "maxMinInstalls": 1, "maxScore": 1, "minMaxInstalls": 1, "minMinInstalls": 1, "minScore": 1, "order": "minInstalls", "platform": "android", "related": "example", "term": "example", "limit": 1, "lineage": "ASC" }'

Searches store apps for app targeting.

Requires the inventory:read scope.

Media typeapplication/json
object
category
Array<string>
code

ISO-2 Country

Array<string>
coppa
boolean
id

AppIds

Array<string>
maxMaxInstalls
integer
> 0 <= 9007199254740991
maxMinInstalls
integer
> 0 <= 9007199254740991
maxScore
integer
> 0 <= 9007199254740991
minMaxInstalls
integer
> 0 <= 9007199254740991
minMinInstalls
integer
> 0 <= 9007199254740991
minScore
integer
> 0 <= 5
order
string
Allowed values: minInstalls maxInstalls score
platform
string
Allowed values: android ios
related

Related appId

string
term

Search by name

string
limit
integer
> 0 <= 9007199254740991
lineage
string
Allowed values: ASC DESC

Inventory lookup result.

Media typeapplication/json
Array<object>
object
categories
required
Array<string>
contentRating
required
string
coppa
required
boolean
countries
required

ISO-2 Country

Array<string>
icon
string
id
required
string
maxInstalls
required
integer
> 0 <= 9007199254740991
minInstalls
required
integer
> 0 <= 9007199254740991
name
required
string
platform
required
string
Allowed values: android ios web
related
required

Related appIds

Array<string>
score
required
number

Example

[
{
"platform": "android"
}
]

The JSON body is malformed or fails the input validation.

Media typeapplication/json
Any of:
object
errors
required

Zod issues

Array<object>
object
code
required
string
Allowed values: custom invalid_element invalid_format invalid_key invalid_type invalid_union invalid_value not_multiple_of too_big too_small unrecognized_keys
message
required
string
path
required

Location of the invalid field in the procedure input

Array
key
additional properties
message
required
string
Allowed value: Validation Error

Example

{
"errors": [
{
"code": "custom"
}
],
"message": "Validation Error"
}

The API key is missing, invalid, disabled or expired.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key lacks the scope, or its owner lacks the dashboard permission.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key exceeded its rate limit; retry after the Retry-After seconds.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}
Retry-After
integer

Seconds to wait before retrying.

Unexpected server error.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}